org.apache.ignite.internal.processors.job

## Class GridJobProcessor.PartitionsReservation

- java.lang.Object
- - org.apache.ignite.internal.processors.job.GridJobProcessor.PartitionsReservation

All Implemented Interfaces:
  GridReservable

Enclosing class:
  GridJobProcessor

    public class GridJobProcessor.PartitionsReservation
    extends Object
    implements GridReservable

### Constructor Summary

Constructors
Constructor and Description
`PartitionsReservation(int[] cacheIds, int partId, AffinityTopologyVersion topVer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `getCacheIds()`
`int` `getPartId()`
`void` `release()` Releases.
`boolean` `reserve()` Reserves.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PartitionsReservation

    public PartitionsReservation(int[] cacheIds,
                                 int partId,
                                 AffinityTopologyVersion topVer)

Parameters:
  `cacheIds` - Cache identifiers array.
  `partId` - Partition number.
  `topVer` - Affinity topology version.

### Method Detail

#### getCacheIds

    public int[] getCacheIds()

Returns:
  Caches identifiers.

#### getPartId

    public int getPartId()

Returns:
  Partition id.

#### reserve

    public boolean reserve()

Reserves.

Specified by:
  `reserve` in interface `GridReservable`
Returns:
  `true` If reserved successfully.

#### release

    public void release()

Releases.

Specified by:
  `release` in interface `GridReservable`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020